diff --git configure.ac configure.ac
index 19818f5..d1e6362 100644
--- configure.ac.orig
+++ configure.ac
@@ -382,6 +382,8 @@ if test "x${have_liblzma}" = "x1" ; then
   AC_DEFINE([HAVE_PTHREAD])
 fi
 
+AC_CHECK_LIB([fts],[fts_open],[LIBS="-lfts $LIBS"])
+
 dnl 
 dnl Process .in files.
 dnl 
diff --git lib/ext2.c lib/ext2.c
index 224dab3..ed8e821 100644
--- lib/ext2.c.orig
+++ lib/ext2.c
@@ -140,8 +140,10 @@ int xar_ext2attr_archive(xar_t x, xar_file_t f, const char* file, const char *bu
 	if(! (flags & ~EXT2_NOCOMPR_FL) )
 		x_addprop(f, "NoCompBlock");
 #endif
+#ifdef EXT2_ECOMPR_FL
 	if(! (flags & ~EXT2_ECOMPR_FL) )
 		x_addprop(f, "CompError");
+#endif
 	if(! (flags & ~EXT2_BTREE_FL) )
 		x_addprop(f, "BTree");
 	if(! (flags & ~EXT2_INDEX_FL) )
@@ -229,8 +231,10 @@ int xar_ext2attr_extract(xar_t x, xar_file_t f, const char* file, char *buffer,
 	if( e2prop_get(f, "NoCompBlock", (char **)&tmp) == 0 )
 		flags |= EXT2_NOCOMPR_FL ;
 #endif
+#ifdef EXT2_ECOMPR_FL
 	if( e2prop_get(f, "CompError", (char **)&tmp) == 0 )
 		flags |= EXT2_ECOMPR_FL ;
+#endif
 	if( e2prop_get(f, "BTree", (char **)&tmp) == 0 )
 		flags |= EXT2_BTREE_FL ;
 	if( e2prop_get(f, "HashIndexed", (char **)&tmp) == 0 )
